diff --git a/sway/tree/view.c b/sway/tree/view.c
index c9c8240537..ef35b541ec 100644
--- a/sway/tree/view.c
+++ b/sway/tree/view.c
@@ -944,14 +944,16 @@ bool view_is_visible(struct sway_view *view) {
 			&& floater->parent->parent->type != C_WORKSPACE) {
 		floater = floater->parent;
 	}
-	bool is_sticky = container_is_floating(floater) && floater->is_sticky;
+	bool is_floating = container_is_floating(floater);
+	bool is_sticky = is_floating && floater->is_sticky;
 	// Check view isn't in a tabbed or stacked container on an inactive tab
 	struct sway_seat *seat = input_manager_current_seat(input_manager);
 	struct sway_container *container = view->swayc;
 	while (container->type != C_WORKSPACE) {
 		if (container->parent->layout == L_TABBED ||
 				container->parent->layout == L_STACKED) {
-			if (seat_get_active_child(seat, container->parent) != container) {
+			if (!is_floating && seat_get_active_child(seat,
+					container->parent) != container) {
 				return false;
 			}
 		}
